<?php

namespace App\Http\Requests\Products\Category;

use Illuminate\Foundation\Http\FormRequest;

class ProductCategoryDeleteRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        if (auth()->user()->hasRole('administrator')) {
            return TRUE;
        } else {
            return FALSE;
        }
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'categoryIds' => 'required|array',
            'categoryIds.*' => 'integer|exists:product_categories,id',
            'deleteArticles' => 'required|boolean',
            'singleDelete' => 'required|boolean',
            'movingCategoryId' => 'nullable|integer|exists:product_categories,id',
        ];
    }
}
